StartupEvents.registry('palladium:condition_serializer', (event) => {
event.create('heroes:has_powers')
  .test((entity, props) => {
	  let power_max = global.power_amount;
	  for (let power_list = 0; power_list <= power_max; power_list++) {
				let power_cap = global['ability_' + power_list];
				let power = power_cap.toString().toLowerCase();
				if (power_cap != "Catalyst") {
					let username = entity.getGameProfile().getName();
					let username_true = username.toLowerCase();
                    let scoreboard = Utils.server.scoreboard;
					let scoreboard_hold_7 = scoreboard.getObjective("Powers." + power_cap);
			if (scoreboard_hold_7 != null) {
                    let score_hold_7 = scoreboard.getOrCreatePlayerScore(username, scoreboard_hold_7);
                    let value_hold_7 = score_hold_7.getScore();
					if (value_hold_7 >= 1) {
						return true
						}
					}
		  }
	  }
    return false
})
});